Solaris-only flag with newer gcc = build failed

Pierre Laporte pierre at pingtimeout.fr
Sat May 12 13:52:39 UTC 2012


Hi OpenJDK people !

I tried to build the latest version of OpenJDK on my machine, but ran into
a problem during the compilation.
The error I got was "gcc: error: unrecognized command line option
'-mimpure-text'".

I am not a C/C++ programmer but I found out that this option is for Solaris
only. It is used at line 70 in the
file ./jdk/make/common/shared/Compiler-gcc.gmk
It seems that the problem is related to gcc v4.7, which is the version I
used. I found a JIRA on JRuby where a user had the same problem (see
"References" below).

I removed that option form the file Compiler-gcc.gmk and the build
was successful. Was that the right thing to do or should I expect JVM
crashes ?

I did not try to build the package using older versions of gcc, so I
suppose that previous versions did tolerate the presence of this flag even
if it is useful only on Solaris. Can someone confirm this ?

Sources :
- http://gcc.gnu.org/onlinedocs/gcc/Option-Summary.html
- http://jira.codehaus.org/browse/JRUBY-6633

Regards.

--

Pierre Laporte
pierre at pingtimeout.fr
http://www.pingtimeout.fr/
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.openjdk.java.net/pipermail/build-dev/attachments/20120512/c00b9c02/attachment.html>


More information about the build-dev mailing list